Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9169)
@@ -29,17 +29,16 @@
    PUBLIC   p4z_rem_alloc
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC ::  xremikc    !: remineralisation rate of DOC 
-   REAL(wp), PUBLIC ::  xremikn    !: remineralisation rate of DON 
-   REAL(wp), PUBLIC ::  xremikp    !: remineralisation rate of DOP 
-   REAL(wp), PUBLIC ::  xremik     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  nitrif     !: NH4 nitrification rate 
-   REAL(wp), PUBLIC ::  xsirem     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsiremlab  !: fast remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsilab     !: fraction of labile biogenic silica 
-   REAL(wp), PUBLIC ::  feratb     !: Fe/C quota in bacteria
-   REAL(wp), PUBLIC ::  xkferb     !: Half-saturation constant for bacteria Fe/C
-
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   denitr     !: denitrification array
+   REAL(wp), PUBLIC ::   xremikc    !: remineralisation rate of DOC 
+   REAL(wp), PUBLIC ::   xremikn    !: remineralisation rate of DON 
+   REAL(wp), PUBLIC ::   xremikp    !: remineralisation rate of DOP 
+   REAL(wp), PUBLIC ::   xremik     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   nitrif     !: NH4 nitrification rate 
+   REAL(wp), PUBLIC ::   xsirem     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   xsiremlab  !: fast remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   xsilab     !: fraction of labile biogenic silica 
+   REAL(wp), PUBLIC ::   feratb     !: Fe/C quota in bacteria
+   REAL(wp), PUBLIC ::   xkferb     !: Half-saturation constant for bacteria Fe/C
+
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   denitr   !: denitrification array
 
    !!----------------------------------------------------------------------
@@ -303,34 +302,37 @@
       INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-
+      !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_rem_init : Initialization of remineralization parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
       READ  ( numnatp_ref, nampisrem, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisrem in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampisrem in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
       READ  ( numnatp_cfg, nampisrem, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampisrem )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampisrem )
 
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for remineralization, nampisrem'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist parameters for remineralization, nampisrem'
          IF( ln_p4z ) THEN
-            WRITE(numout,*) '    remineralization rate of DOC              xremik    =', xremik
+            WRITE(numout,*) '      remineralization rate of DOC              xremik    =', xremik
          ELSE
-            WRITE(numout,*) '    remineralization rate of DOC              xremikc   =', xremikc
-            WRITE(numout,*) '    remineralization rate of DON              xremikn   =', xremikn
-            WRITE(numout,*) '    remineralization rate of DOP              xremikp   =', xremikp
+            WRITE(numout,*) '      remineralization rate of DOC              xremikc   =', xremikc
+            WRITE(numout,*) '      remineralization rate of DON              xremikn   =', xremikn
+            WRITE(numout,*) '      remineralization rate of DOP              xremikp   =', xremikp
          ENDIF
-         WRITE(numout,*) '    remineralization rate of Si               xsirem    =', xsirem
-         WRITE(numout,*) '    fast remineralization rate of Si          xsiremlab =', xsiremlab
-         WRITE(numout,*) '    fraction of labile biogenic silica        xsilab    =', xsilab
-         WRITE(numout,*) '    NH4 nitrification rate                    nitrif    =', nitrif
-         WRITE(numout,*) '    Bacterial Fe/C ratio                      feratb    =', feratb
-         WRITE(numout,*) '    Half-saturation constant for bact. Fe/C   xkferb    =', xkferb
+         WRITE(numout,*) '      remineralization rate of Si               xsirem    =', xsirem
+         WRITE(numout,*) '      fast remineralization rate of Si          xsiremlab =', xsiremlab
+         WRITE(numout,*) '      fraction of labile biogenic silica        xsilab    =', xsilab
+         WRITE(numout,*) '      NH4 nitrification rate                    nitrif    =', nitrif
+         WRITE(numout,*) '      Bacterial Fe/C ratio                      feratb    =', feratb
+         WRITE(numout,*) '      Half-saturation constant for bact. Fe/C   xkferb    =', xkferb
       ENDIF
       !
-      denitr  (:,:,:) = 0._wp
+      denitr(:,:,:) = 0._wp
       !
    END SUBROUTINE p4z_rem_init
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 9169)
@@ -21,28 +21,26 @@
    PUBLIC   p4z_sbc_init   
 
-   LOGICAL , PUBLIC  :: ln_dust     !: boolean for dust input from the atmosphere
-   LOGICAL , PUBLIC  :: ln_solub    !: boolean for variable solubility of atmospheric iron
-   LOGICAL , PUBLIC  :: ln_river    !: boolean for river input of nutrients
-   LOGICAL , PUBLIC  :: ln_ndepo    !: boolean for atmospheric deposition of N
-   LOGICAL , PUBLIC  :: ln_ironsed  !: boolean for Fe input from sediments
-   LOGICAL , PUBLIC  :: ln_hydrofe  !: boolean for Fe input from hydrothermal vents
-   LOGICAL , PUBLIC  :: ln_ironice  !: boolean for Fe input from sea ice
-   REAL(wp), PUBLIC  :: sedfeinput  !: Coastal release of Iron
-   REAL(wp), PUBLIC  :: dustsolub   !: Solubility of the dust
-   REAL(wp), PUBLIC  :: mfrac       !: Mineral Content of the dust
-   REAL(wp), PUBLIC  :: icefeinput  !: Iron concentration in sea ice
-   REAL(wp), PUBLIC  :: wdust       !: Sinking speed of the dust 
-   REAL(wp), PUBLIC  :: nitrfix     !: Nitrogen fixation rate   
-   REAL(wp), PUBLIC  :: diazolight  !: Nitrogen fixation sensitivty to light 
-   REAL(wp), PUBLIC  :: concfediaz  !: Fe half-saturation Cste for diazotrophs 
-   REAL(wp)          :: hratio      !: Fe:3He ratio assumed for vent iron supply
-   REAL(wp), PUBLIC  :: fep_rats    !: Fep/Fer ratio from sed  sources
-   REAL(wp), PUBLIC  :: fep_rath    !: Fep/Fer ratio from hydro sources
-   REAL(wp), PUBLIC  :: lgw_rath    !: Weak ligand ratio from hydro sources
-
-
-   LOGICAL , PUBLIC  :: ll_sbc
-
-   LOGICAL  ::  ll_solub
+   LOGICAL , PUBLIC ::   ln_dust      !: boolean for dust input from the atmosphere
+   LOGICAL , PUBLIC ::   ln_solub     !: boolean for variable solubility of atmospheric iron
+   LOGICAL , PUBLIC ::   ln_river     !: boolean for river input of nutrients
+   LOGICAL , PUBLIC ::   ln_ndepo     !: boolean for atmospheric deposition of N
+   LOGICAL , PUBLIC ::   ln_ironsed   !: boolean for Fe input from sediments
+   LOGICAL , PUBLIC ::   ln_hydrofe   !: boolean for Fe input from hydrothermal vents
+   LOGICAL , PUBLIC ::   ln_ironice   !: boolean for Fe input from sea ice
+   REAL(wp), PUBLIC ::   sedfeinput   !: Coastal release of Iron
+   REAL(wp), PUBLIC ::   dustsolub    !: Solubility of the dust
+   REAL(wp), PUBLIC ::   mfrac        !: Mineral Content of the dust
+   REAL(wp), PUBLIC ::   icefeinput   !: Iron concentration in sea ice
+   REAL(wp), PUBLIC ::   wdust        !: Sinking speed of the dust 
+   REAL(wp), PUBLIC ::   nitrfix      !: Nitrogen fixation rate   
+   REAL(wp), PUBLIC ::   diazolight   !: Nitrogen fixation sensitivty to light 
+   REAL(wp), PUBLIC ::   concfediaz   !: Fe half-saturation Cste for diazotrophs 
+   REAL(wp)         ::   hratio       !: Fe:3He ratio assumed for vent iron supply
+   REAL(wp), PUBLIC ::   fep_rats     !: Fep/Fer ratio from sed  sources
+   REAL(wp), PUBLIC ::   fep_rath     !: Fep/Fer ratio from hydro sources
+   REAL(wp), PUBLIC ::   lgw_rath     !: Weak ligand ratio from hydro sources
+
+   LOGICAL , PUBLIC ::   ll_sbc
+   LOGICAL          ::   ll_solub
 
    INTEGER , PARAMETER  :: jpriv  = 7   !: Maximum number of river input fields
@@ -55,28 +53,27 @@
    INTEGER , PARAMETER  :: jr_dsi = 7   !: index of dissolved silicate
 
-
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_dust      ! structure of input dust
-   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_solub      ! structure of input dust
-   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_river  ! structure of input riverdic
+   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_solub     ! structure of input dust
+   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_river     ! structure of input riverdic
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_ndepo     ! structure of input nitrogen deposition
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_ironsed   ! structure of input iron from sediment
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_hydrofe   ! structure of input iron from hydrothermal vents
 
-   INTEGER , PARAMETER :: nbtimes = 365  !: maximum number of times record in a file
-   INTEGER  :: ntimes_dust, ntimes_riv, ntimes_ndep       ! number of time steps in a file
-   INTEGER  :: ntimes_solub, ntimes_hydro                 ! number of time steps in a file
-
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: dust, solub       !: dust fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: rivdic, rivalk    !: river input fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: rivdin, rivdip    !: river input fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: rivdon, rivdop    !: river input fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: rivdoc    !: river input fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: rivdsi    !: river input fields
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE,   DIMENSION(:,:) :: nitdep    !: atmospheric N deposition 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: ironsed   !: Coastal supply of iron
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: hydrofe   !: Hydrothermal vent supply of iron
-
-   REAL(wp), PUBLIC :: sumdepsi, rivalkinput, rivdicinput, nitdepinput
-   REAL(wp), PUBLIC :: rivdininput, rivdipinput, rivdsiinput
+   INTEGER , PARAMETER ::   nbtimes = 365                          ! maximum number of times record in a file
+   INTEGER             ::   ntimes_dust, ntimes_riv, ntimes_ndep   ! number of time steps in a file
+   INTEGER             ::   ntimes_solub, ntimes_hydro             ! number of time steps in a file
+
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   dust  , solub    !: dust fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rivdic, rivalk   !: river input fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rivdin, rivdip   !: river input fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rivdon, rivdop   !: river input fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rivdoc           !: river input fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rivdsi           !: river input fields
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   nitdep           !: atmospheric N deposition 
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ironsed          !: Coastal supply of iron
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hydrofe          !: Hydrothermal vent supply of iron
+
+   REAL(wp), PUBLIC ::   rivalkinput, rivdicinput, nitdepinput, sumdepsi
+   REAL(wp), PUBLIC ::   rivdininput, rivdipinput, rivdsiinput
 
    !! * Substitutions
@@ -100,13 +97,11 @@
       !!
       !!----------------------------------------------------------------------
-      !! * arguments
-      INTEGER, INTENT( in  ) ::   kt   ! ocean time step
-
-      !! * local declarations
-      INTEGER  :: ji,jj 
-      REAL(wp) :: zcoef, zyyss
+      INTEGER, INTENT(in) ::   kt   ! ocean time step
+      !
+      INTEGER  ::   ji, jj 
+      REAL(wp) ::   zcoef, zyyss
       !!---------------------------------------------------------------------
       !
-      IF( ln_timing )  CALL timing_start('p4z_sbc')
+      IF( ln_timing )   CALL timing_start('p4z_sbc')
       !
       ! Compute dust at nit000 or only if there is more than 1 time record in dust file
@@ -114,12 +109,10 @@
          IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_dust > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_dust )
-            IF( nn_ice_tr == -1 .AND. .NOT. ln_ironice ) THEN
-               dust(:,:) = sf_dust(1)%fnow(:,:,1)
-            ELSE
-               dust(:,:) = sf_dust(1)%fnow(:,:,1) * ( 1.0 - fr_i(:,:) )
+            IF( nn_ice_tr == -1 .AND. .NOT.ln_ironice ) THEN   ;   dust(:,:) = sf_dust(1)%fnow(:,:,1)
+            ELSE                                               ;   dust(:,:) = sf_dust(1)%fnow(:,:,1) * ( 1.-fr_i(:,:) )
             ENDIF
          ENDIF
       ENDIF
-
+      !
       IF( ll_solub ) THEN
          IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_solub > 1 ) ) THEN
@@ -205,5 +198,4 @@
       !!
       !!----------------------------------------------------------------------
-      !
       INTEGER  :: ji, jj, jk, jm, ifpr
       INTEGER  :: ii0, ii1, ij0, ij1
@@ -224,5 +216,5 @@
       TYPE(FLD_N) ::   sn_riverdoc, sn_riverdic, sn_riverdsi   ! informations about the fields to be read
       TYPE(FLD_N) ::   sn_riverdin, sn_riverdon, sn_riverdip, sn_riverdop
-      !
+      !!
       NAMELIST/nampissbc/cn_dir, sn_dust, sn_solub, sn_riverdic, sn_riverdoc, sn_riverdin, sn_riverdon,     &
         &                sn_riverdip, sn_riverdop, sn_riverdsi, sn_ndepo, sn_ironsed, sn_hydrofe, &
@@ -232,56 +224,58 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_sbc_init : initialization of the external sources of nutrients '
+         WRITE(numout,*) '~~~~~~~~~~~~ '
+      ENDIF
       !                            !* set file information
       REWIND( numnatp_ref )              ! Namelist nampissbc in reference namelist : Pisces external sources of nutrients
       READ  ( numnatp_ref, nampissbc, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampissbc in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampissbc in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampissbc in configuration namelist : Pisces external sources of nutrients
       READ  ( numnatp_cfg, nampissbc, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampissbc in configuration namelist', lwp )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampissbc in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampissbc )
 
-      IF ( ( nn_ice_tr >= 0 ) .AND. ln_ironice ) THEN
+      IF(lwp) THEN
+         WRITE(numout,*) '   Namelist : nampissbc '
+         WRITE(numout,*) '      dust input from the atmosphere           ln_dust     = ', ln_dust
+         WRITE(numout,*) '      Variable solubility of iron input        ln_solub    = ', ln_solub
+         WRITE(numout,*) '      river input of nutrients                 ln_river    = ', ln_river
+         WRITE(numout,*) '      atmospheric deposition of n              ln_ndepo    = ', ln_ndepo
+         WRITE(numout,*) '      Fe input from sediments                  ln_ironsed  = ', ln_ironsed
+         WRITE(numout,*) '      Fe input from seaice                     ln_ironice  = ', ln_ironice
+         WRITE(numout,*) '      fe input from hydrothermal vents         ln_hydrofe  = ', ln_hydrofe
+         WRITE(numout,*) '      coastal release of iron                  sedfeinput  = ', sedfeinput
+         WRITE(numout,*) '      solubility of the dust                   dustsolub   = ', dustsolub
+         WRITE(numout,*) '      Mineral Fe content of the dust           mfrac       = ', mfrac
+         WRITE(numout,*) '      Iron concentration in sea ice            icefeinput  = ', icefeinput
+         WRITE(numout,*) '      sinking speed of the dust                wdust       = ', wdust
+         WRITE(numout,*) '      nitrogen fixation rate                   nitrfix     = ', nitrfix
+         WRITE(numout,*) '      nitrogen fixation sensitivty to light    diazolight  = ', diazolight
+         WRITE(numout,*) '      Fe half-saturation cste for diazotrophs  concfediaz  = ', concfediaz
+         WRITE(numout,*) '      Fe to 3He ratio assumed for vent iron supply hratio  = ', hratio
+         IF( ln_ligand ) THEN
+            WRITE(numout,*) '      Fep/Fer ratio from sed sources            fep_rats   = ', fep_rats
+            WRITE(numout,*) '      Fep/Fer ratio from sed hydro sources      fep_rath   = ', fep_rath
+            WRITE(numout,*) '      Weak ligand ratio from sed hydro sources  lgw_rath   = ', lgw_rath
+         ENDIF
+      END IF
+
+      IF( nn_ice_tr >= 0 .AND. ln_ironice ) THEN
          IF(lwp) THEN
-            WRITE(numout,*) ' ln_ironice incompatible with nn_ice_tr = ', nn_ice_tr
-            WRITE(numout,*) ' Specify your sea ice iron concentration in nampisice instead '
-            WRITE(numout,*) ' ln_ironice is forced to .FALSE. '
-            ln_ironice = .FALSE.
-         ENDIF
-      ENDIF
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' namelist : nampissbc '
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~ '
-         WRITE(numout,*) '    dust input from the atmosphere           ln_dust     = ', ln_dust
-         WRITE(numout,*) '    Variable solubility of iron input        ln_solub    = ', ln_solub
-         WRITE(numout,*) '    river input of nutrients                 ln_river    = ', ln_river
-         WRITE(numout,*) '    atmospheric deposition of n              ln_ndepo    = ', ln_ndepo
-         WRITE(numout,*) '    Fe input from sediments                  ln_ironsed  = ', ln_ironsed
-         WRITE(numout,*) '    Fe input from seaice                     ln_ironice  = ', ln_ironice
-         WRITE(numout,*) '    fe input from hydrothermal vents         ln_hydrofe  = ', ln_hydrofe
-         WRITE(numout,*) '    coastal release of iron                  sedfeinput  = ', sedfeinput
-         WRITE(numout,*) '    solubility of the dust                   dustsolub   = ', dustsolub
-         WRITE(numout,*) '    Mineral Fe content of the dust           mfrac       = ', mfrac
-         WRITE(numout,*) '    Iron concentration in sea ice            icefeinput  = ', icefeinput
-         WRITE(numout,*) '    sinking speed of the dust                wdust       = ', wdust
-         WRITE(numout,*) '    nitrogen fixation rate                   nitrfix     = ', nitrfix
-         WRITE(numout,*) '    nitrogen fixation sensitivty to light    diazolight  = ', diazolight
-         WRITE(numout,*) '    fe half-saturation cste for diazotrophs  concfediaz  = ', concfediaz
-         WRITE(numout,*) '    Fe to 3He ratio assumed for vent iron supply hratio  = ', hratio
-         IF( ln_ligand ) THEN
-            WRITE(numout,*) '    Fep/Fer ratio from sed sources            fep_rats   = ', fep_rats
-            WRITE(numout,*) '    Fep/Fer ratio from sed hydro sources      fep_rath   = ', fep_rath
-            WRITE(numout,*) '    Weak ligand ratio from sed hydro sources  lgw_rath   = ', lgw_rath
-         ENDIF
-      END IF
-
-      IF( ln_dust .OR. ln_river .OR. ln_ndepo ) THEN  ;  ll_sbc = .TRUE.
-      ELSE                                            ;  ll_sbc = .FALSE.
-      ENDIF
-
-      IF( ln_dust .AND. ln_solub ) THEN               ;  ll_solub = .TRUE.
-      ELSE                                            ;  ll_solub = .FALSE.
+            WRITE(numout,*) '   ==>>>   ln_ironice incompatible with nn_ice_tr = ', nn_ice_tr
+            WRITE(numout,*) '           Specify your sea ice iron concentration in nampisice instead '
+            WRITE(numout,*) '           ln_ironice is forced to .FALSE. '
+         ENDIF
+         ln_ironice = .FALSE.
+      ENDIF
+
+      IF( ln_dust .OR. ln_river .OR. ln_ndepo ) THEN   ;   ll_sbc = .TRUE.
+      ELSE                                             ;   ll_sbc = .FALSE.
+      ENDIF
+
+      IF( ln_dust .AND. ln_solub ) THEN                ;   ll_solub = .TRUE.
+      ELSE                                             ;   ll_solub = .FALSE.
       ENDIF
 
@@ -322,5 +316,5 @@
             DO jm = 1, ntimes_dust
                sumdepsi = sumdepsi + glob_sum( zdust(:,:,jm) * e1e2t(:,:) * tmask(:,:,1) * ztimes_dust )
-            ENDDO
+            END DO
             sumdepsi = sumdepsi / ( nyear_len(1) * rday ) * 12. * 8.8 * 0.075 * mfrac / 28.1 
             DEALLOCATE( zdust)
@@ -335,6 +329,6 @@
       IF( ll_solub ) THEN
          !
-         IF(lwp) WRITE(numout,*) '    initialize variable solubility of Fe '
-         IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ '
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   ll_solub=T , initialize variable solubility of Fe '
          !
          ALLOCATE( solub(jpi,jpj) )    ! allocation
@@ -356,6 +350,6 @@
       IF( ln_river ) THEN
          !
-         slf_river(jr_dic) = sn_riverdic  ;  slf_river(jr_doc) = sn_riverdoc  ;  slf_river(jr_din) = sn_riverdin 
-         slf_river(jr_don) = sn_riverdon  ;  slf_river(jr_dip) = sn_riverdip  ;  slf_river(jr_dop) = sn_riverdop
+         slf_river(jr_dic) = sn_riverdic   ;   slf_river(jr_doc) = sn_riverdoc   ;   slf_river(jr_din) = sn_riverdin 
+         slf_river(jr_don) = sn_riverdon   ;   slf_river(jr_dip) = sn_riverdip   ;   slf_river(jr_dop) = sn_riverdop
          slf_river(jr_dsi) = sn_riverdsi  
          !
@@ -363,6 +357,6 @@
          IF( ln_p5z )  ALLOCATE( rivdon(jpi,jpj), rivdop(jpi,jpj), rivdoc(jpi,jpj) )
          !
-         ALLOCATE( sf_river(jpriv), rivinput(jpriv), STAT=ierr1 )           !* allocate and fill sf_river (forcing structure) with sn_river_
-         rivinput(:) = 0.0
+         ALLOCATE( sf_river(jpriv), rivinput(jpriv), STAT=ierr1 )    !* allocate and fill sf_river (forcing structure) with sn_river_
+         rivinput(:) = 0._wp
 
          IF( ierr1 > 0 )   CALL ctl_stop( 'STOP', 'p4z_sed_init: unable to allocate sf_irver structure' )
@@ -409,6 +403,6 @@
       IF( ln_ndepo ) THEN
          !
-         IF(lwp) WRITE(numout,*) '    initialize the nutrient input by dust from ndeposition.orca.nc'
-         IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   ln_ndepo=T , initialize the nutrient input by dust from NetCDF file'
          !
          ALLOCATE( nitdep(jpi,jpj) )    ! allocation
@@ -446,6 +440,6 @@
       IF( ln_ironsed ) THEN     
          !
-         IF(lwp) WRITE(numout,*) '    computation of an island mask to enhance coastal supply of iron'
-         IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   ln_ironsed=T , computation of an island mask to enhance coastal supply of iron'
          !
          ALLOCATE( ironsed(jpi,jpj,jpk) )    ! allocation
@@ -458,9 +452,8 @@
          ik50 = 5        !  last level where depth less than 50 m
          DO jk = jpkm1, 1, -1
-            IF( gdept_1d(jk) > 50. )  ik50 = jk - 1
+            IF( gdept_1d(jk) > 50. )   ik50 = jk - 1
          END DO
-         IF (lwp) WRITE(numout,*)
-         IF (lwp) WRITE(numout,*) ' Level corresponding to 50m depth ',  ik50,' ', gdept_1d(ik50+1)
-         IF (lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) ' Level corresponding to 50m depth ',  ik50,' ', gdept_1d(ik50+1)
          DO jk = 1, ik50
             DO jj = 2, jpjm1
@@ -499,6 +492,6 @@
       IF( ln_hydrofe ) THEN
          !
-         IF(lwp) WRITE(numout,*) '    Input of iron from hydrothermal vents '
-         IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   ln_hydrofe=T , Input of iron from hydrothermal vents'
          !
          ALLOCATE( hydrofe(jpi,jpj,jpk) )    ! allocation
@@ -521,8 +514,8 @@
          WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '    N Supply   : ', rivdininput*rno3*1E3/1E12*14.,' TgN/yr'
-         WRITE(numout,*) '    Si Supply  : ', rivdsiinput*1E3/1E12*28.1,' TgSi/yr'
+         WRITE(numout,*) '    Si Supply  : ', rivdsiinput*1E3/1E12*28.1    ,' TgSi/yr'
          WRITE(numout,*) '    P Supply   : ', rivdipinput*1E3*po4r/1E12*31.,' TgP/yr'
-         WRITE(numout,*) '    Alk Supply : ', rivalkinput*1E3/1E12,' Teq/yr'
-         WRITE(numout,*) '    DIC Supply : ', rivdicinput*1E3*12./1E12,'TgC/yr'
+         WRITE(numout,*) '    Alk Supply : ', rivalkinput*1E3/1E12         ,' Teq/yr'
+         WRITE(numout,*) '    DIC Supply : ', rivdicinput*1E3*12./1E12     ,' TgC/yr'
          WRITE(numout,*) 
          WRITE(numout,*) '    Total input of elements from atmospheric supply'
